stages:
  - build
  - test
  - document

default:
  tags: [gitlab-org-docker]
  image: "docker.io/library/golang:1.22.6-alpine3.20"

compile:
  stage: build
  script:
    - go build

# TODO get avahi runing in gitlab ci docker container
# test:
#   stage: test
#   before_script:
#     - apk update
#     - apk add alpine-base avahi dbus
#   script:
#     - go test -v -timeout 30s -cover

document:
  stage: document
  script:
    - go doc
